/*
 * JExplorerPlugin.java - JExplorer plugin
 * Copyright (C) 2001 InigoGonzalez
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
import java.util.Vector;

import org.jext.*;
import org.jext.gui.*;
import org.jext.options.*;

import org.jos.jexplorer.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
/**
 * JExplorer is a plugin for the Jext java text editor.
 * @author InigoGonzalez
 */

public class JExplorerPlugin extends MenuAction implements Plugin{

  public JExplorerPlugin(){
	super("jexplorer");
  }

  public void createMenuItems(JextFrame parent, Vector menus, Vector menuItems){
    // creates menu items
	parent.getJextMenuBar().addMenuItem(GUIUtilities.loadMenuItem("jexplorer"), "Tools");
  }

  public void createOptionPanes(OptionsDialog parent){
    // creates the option pane
  }

  public void start(){
    // starts the plugin
	Jext.addAction(this);
  }

  public void stop(){
    // stops the plugin
  }
  
  //MenuAction
  public void actionPerformed(ActionEvent e){
	new JExplorer();
  }
}

// End of JExplorerPlugin.java
